<?php
require_once __DIR__ . '/lib/LinkModel.php';
$linkModel = new LinkModel();

// User id is hardcoded here/
// Plugin your authentication module.
$user_id = 4;

$linkResult = $linkModel->getLinkByUser($user_id);

if (!empty($_POST['request_policy'])) {
	$file_path = copyFile($user_id);
	if ($file_path) {
		if (!empty($linkResult)) {
			$insertDownloadPathDetails = $linkModel->updateLinkByRecordId($linkResult[0]["id"], 0);
		} else {
			$insertDownloadPathDetails = $linkModel->insertDownloadLink($user_id, $file_path);
		}
		header("Location: index.php");
		exit();
	}
}

function copyFile($user_id)
{
	$user_directory = "user-data/" . $user_id;
	if (!is_dir($user_directory)) {
		mkdir($user_directory, 0755, true);
	}
	$file_path = $user_directory . "/example.pdf";

	if (!copy("doc/example.pdf", $file_path)) {
		return;
	}
	return $file_path;
}

?>
<html>

<head>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>How to Create a One-Time Download Link in PHP with Database</title>
	<link rel="stylesheet" type="text/css" href="css/style.css" />
	<link rel="stylesheet" type="text/css" href="css/form.css" />
	<style>
		input {
			width: auto;
		}
	</style>
</head>

<body>
	<div class="phppot-container">
		<h1>How to Create a One-Time Download Link</h1>

		<?php if (!empty($linkResult) && $linkResult[0]['is_expired'] == 1) { ?>
			<div class="row">
				<div class='phppot-message error'>The download link is expired.</div>
			</div>
		<?php } ?>
		<form action="" method="post">
			<div class="row">
				<input type="submit" name="request_policy" value="Request for a download link">
			</div>
		</form>
		<?php if (!empty($linkResult) && $linkResult[0]['is_expired'] == 0) {
			echo "<a href='download.php?id=" . $linkResult[0]['id'] . "'>Download</a>";
		} ?>
	</div>
</body>

</html>