<?php
class LinkModel
{

    private $conn;

    function __construct()
    {
        require_once __DIR__ . "/DataSource.php";
        $this->conn = new DataSource();
    }

    function getLinkByUser($user_id)
    {
        $sql = "SELECT * FROM tbl_download_link WHERE user_id=?";
        $paramType = "i";
        $paramValue = array($user_id);
        $result = $this->conn->select($sql, $paramType, $paramValue);
        return $result;
    }

    function insertDownloadLink($user_id, $file_path)
    {
        $sql = "INSERT INTO tbl_download_link(user_id,file_download_path,is_expired) VALUES(?, ?, ?)";
        $paramType = 'isi';
        $paramValue = array(
            $user_id,
            $file_path,
            0
        );
        $insertId = $this->conn->insert($sql, $paramType, $paramValue);
        return $insertId;
    }

    function getLinkByRecordId($recordId)
    {
        $sql = "SELECT * FROM tbl_download_link WHERE id=?";
        $paramType = "i";
        $paramValue = array($recordId);
        $result = $this->conn->select($sql, $paramType, $paramValue);
        return $result;
    }

    function updateLinkByRecordId($recordId, $is_expired)
    {
        $sql = "UPDATE tbl_download_link SET is_expired=? WHERE id=?";
        $paramType = 'ii';
        $paramValue = array(
            $is_expired,
            $recordId
        );
        $updateId = $this->conn->execute($sql, $paramType, $paramValue);
        return $updateId;
    }
}
